summaryrefslogtreecommitdiff
path: root/sys-apps/sparc-utils/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
commit4f2d7949f03e1c198bc888f2d05f421d35c57e21 (patch)
treeba5f07bf3f9d22d82e54a462313f5d244036c768 /sys-apps/sparc-utils/files
reinit the tree, so we can have metadata
Diffstat (limited to 'sys-apps/sparc-utils/files')
-rw-r--r--sys-apps/sparc-utils/files/audioctl.init22
1 files changed, 22 insertions, 0 deletions
diff --git a/sys-apps/sparc-utils/files/audioctl.init b/sys-apps/sparc-utils/files/audioctl.init
new file mode 100644
index 000000000000..10383d56ae8a
--- /dev/null
+++ b/sys-apps/sparc-utils/files/audioctl.init
@@ -0,0 +1,22 @@
+#!/sbin/openrc-run
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+checkconfig() {
+ if [ -z "${PARAMS}" ]
+ then
+ eerror "Please make sure that /etc/conf.d/audioctl has \$PARAMS set"
+ return 1
+ fi
+}
+start() {
+ checkconfig || return 1
+
+ ebegin "Starting audioctl"
+ if [ -n "${DEVICE}" ]; then
+ /usr/bin/audioctl -f ${DEVICE} -nw ${PARAMS}
+ else
+ /usr/bin/audioctl -nw ${PARAMS}
+ fi
+ eend $?
+}